package com.hai.service.impl;

import com.hai.dao.HighActivityAwardActualPrizeMapper;
import com.hai.entity.HighActivityAwardActualPrize;
import com.hai.entity.HighActivityAwardActualPrizeExample;
import com.hai.service.HighActivityAwardActualPrizeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("highActivityAwardActualPrize")
public class HighActivityAwardActualPrizeServiceImpl implements HighActivityAwardActualPrizeService {

    @Resource
    private HighActivityAwardActualPrizeMapper highActivityAwardActualPrizeMapper;

    @Override
    public List<HighActivityAwardActualPrize> getActualPrizeBySerialNumId(Long serialNumId) {
        HighActivityAwardActualPrizeExample example = new HighActivityAwardActualPrizeExample();
        example.createCriteria().andActivityAwardSerialNumIdEqualTo(serialNumId).andStatusEqualTo(1);
        return highActivityAwardActualPrizeMapper.selectByExample(example);
    }
}
