package com.hai.service.impl;

import com.hai.dao.HighDiscountUserRelMapper;
import com.hai.model.HighUserDiscountUnicomModel;
import com.hai.service.HighOpenApiService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @serviceName HighOpenApiServiceImpl.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 开放接口服务
 * @createTime 5:01 下午 2021/11/24
 **/
@Service("OpenApiService")
public class HighOpenApiServiceImpl implements HighOpenApiService {

    @Resource
    private HighDiscountUserRelMapper highDiscountUserRelMapper;

    @Override
    public List<HighUserDiscountUnicomModel> getUserCouponsList(Map<String, Object> map) {
        return highDiscountUserRelMapper.getUserCouponsList(map);
    }
}
